Subject: Re: bug#56967: 29.0.50; Frequent crashes under Wayland

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Aug 2022 14:50:24 +0300

> Date: Fri, 05 Aug 2022 11:40:36 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Po Lu <[email-masked]>, [email-masked], [email-masked]
> 
> > Does _exit in glibc provide any hooks that we could use?  Emacs cannot 
> > be the first application that doesn't want misbehaving libraries to 
> > forcibly exit it.
> 
> It's possible (albeit tricky) to escape an _exit() call by using 
> LD_PRELOAD, see attached example.  Whether this is usable for Emacs, I 
> don't know.

Interesting.  I'll defer to Linux experts to tell whether this is
something we could/should use.

Thanks.